StyleHints
Keywords: org.p2c2e.zing.StyleHints class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class StyleHints

    java.lang.Object
      org.p2c2e.zing.StyleHints

All Implemented Interfaces:
  java.lang.Cloneable

public class StyleHints
extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`static int` | `BACK_COLOR`
`java.lang.Integer[]` | `data`
`static int` | `JUSTIFICATION`
`static int` | `LEFT_INDENT`
`static int` | `NUM_HINTS`
`static int` | `OBLIQUE`
`static int` | `PAR_INDENT`
`static int` | `PROPORTIONAL`
`static int` | `REVERSE_COLOR`
`static int` | `RIGHT_INDENT`
`static int` | `SIZE`
`static int` | `TEXT_COLOR`
`static int` | `WEIGHT`

Method Summary
`static void` | `clearAll()`
`static void` | `clearHint(int winType, Style style, int hint)`
`java.lang.Object` | `clone()`
`static java.util.TreeMap` | `getHints(int wintype)`
`static void` | `setHint(int winType, Style style, int hint, int val)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT_INDENT

    public static final int LEFT_INDENT

See Also:
  Constant Field Values

### RIGHT_INDENT

    public static final int RIGHT_INDENT

See Also:
  Constant Field Values

### PAR_INDENT

    public static final int PAR_INDENT

See Also:
  Constant Field Values

### JUSTIFICATION

    public static final int JUSTIFICATION

See Also:
  Constant Field Values

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### WEIGHT

    public static final int WEIGHT

See Also:
  Constant Field Values

### OBLIQUE

    public static final int OBLIQUE

See Also:
  Constant Field Values

### PROPORTIONAL

    public static final int PROPORTIONAL

See Also:
  Constant Field Values

### TEXT_COLOR

    public static final int TEXT_COLOR

See Also:
  Constant Field Values

### BACK_COLOR

    public static final int BACK_COLOR

See Also:
  Constant Field Values

### REVERSE_COLOR

    public static final int REVERSE_COLOR

See Also:
  Constant Field Values

### NUM_HINTS

    public static final int NUM_HINTS

See Also:
  Constant Field Values

### data

    public java.lang.Integer[] data

Method Detail

### clone

    public java.lang.Object clone()

### clearAll

    public static void clearAll()

### getHints

    public static java.util.TreeMap getHints(int wintype)

### setHint

    public static void setHint(int winType,
                               Style style,
                               int hint,
                               int val)

### clearHint

    public static void clearHint(int winType,
                                 Style style,
                                 int hint)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD